New columns feature for references tag wasn't changed mediawiki message
Closed, ResolvedPublic1 Story Points

Description

Hello. We have a new parameter in references tag from yesterday, responsive. The problem is that the message "MediaWiki:Cite error references invalid parameters group" was not fixed and still is "Invalid <code>&lt;references&gt;</code> tag;
parameter "group" is allowed only.
Use <code>&lt;references /&gt;</code>, or <code>&lt;references group="..." /&gt;</code>", instead of two allowed parameters, group and responsive. Could you fix it, please? It will take you a second, to change the text and to make it be viewed in all languages wikis in English until the correct translation, and it's better to be fixed before the evening train. I'm setting is as unbreak now, because it should be done today, not because it's so important. So, if you are developer that has something with responsive parameter creation, please remove this priority.
Thank you.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2017, 11:46 AM
IKhitron triaged this task as Unbreak Now! priority.Mar 16 2017, 11:46 AM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 16 2017, 11:46 AM
Aklapper lowered the priority of this task from Unbreak Now! to Needs Triage.Mar 16 2017, 12:13 PM

We have a new parameter in references tag from yesterday, responsive

I guess that was T33597: Render references list in multiple columns based on the number of items?

The issue (a non-updated misleading string in the UI) does not qualify for "Unbreak now!" priority I'd say, hence resetting Priority value.

Yes, it is. I'm glad you are agree with me it's not unbreak now, as I already wrote in the task description.

Izno moved this task from Unsorted backlog to Defect backlog on the Cite board.Mar 21 2017, 5:45 PM

Change 344183 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/Cite@master] i18n: Don't try to spell out all the options that are allowed

https://gerrit.wikimedia.org/r/344183

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a project: VisualEditor.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 344183 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] i18n: Don't try to spell out all the options that are allowed

https://gerrit.wikimedia.org/r/344183

Jdforrester-WMF closed this task as Resolved.Apr 10 2017, 8:37 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 10 2017, 8:37 PM